@extends('admin.layout')

@section('content')

    <?php
    if (!isset($data)) $data = array();
    if (!$data && session("data")) {
        $data = session("data");
    }
    if (!$data && session('_old_input')) {
        $data = session("_old_input");
    }
    ?>
    <div class="row">
        <div class="col-sm-12">
            <div class="ibox float-e-margins">
                <div class="ibox-title">
                    <h5>产品规格</h5>
                    <div class="ibox-tools">
                        <a class="collapse-link"> <i class="fa fa-chevron-up"></i>
                        </a>
                    </div>
                </div>
                <div class="ibox-content">
                    @if(role('Product/Info/index'))
                        <div class="row">
                            <div class="col-sm-3 pull-right">
                                <a href="{{ U('Product/Info/index')}}"
                                   class="btn btn-sm btn-primary pull-right">返回列表</a>
                            </div>
                        </div>
                    @endif

                    <div class="row">
                        <div class="col-lg-10">
                            <form name="form_product" id="form-validation" action=""
                                  class="form-horizontal form-validation" accept-charset="UTF-8" method="post">


                                <div class="form-group">

                                    <label class="control-label col-sm-3">规格名称</label>

                                    <div class="col-sm-9">
                                        <input id="data_name" name="data[name]" class="form-control"
                                               value="{{ $data['name'] or ''}}" required="" aria-required="true"
                                               placeholder="">
                                    </div>

                                </div>

                                <div class="form-group">

                                    <label class="control-label col-sm-3">所属产品</label>
                                    <div class="col-sm-9">
                                        <select class="form-control" name="data[category_id]" required>
                                            @foreach($categorys as $item)
                                                <option value="{{$item->id}}"
                                                        @if(isset($data['category_id']) && $data['category_id'] == $item->id) selected @endif>
                                                    {{$item->name}}
                                                </option>
                                            @endforeach
                                        </select>
                                    </div>

                                </div>
                                <div class="form-group">

                                    <label class="control-label col-sm-3">原价</label>

                                    <div class="col-sm-9">
                                        <input id="data_origin_price" name="data[origin_price]" class="form-control"
                                               value="{{ $data['origin_price'] or ''}}" required="" aria-required="true"
                                               placeholder="">
                                    </div>

                                </div>
                                <div class="form-group">

                                    <label class="control-label col-sm-3">优惠价</label>

                                    <div class="col-sm-9">
                                        <input id="data_current_price" name="data[current_price]" class="form-control"
                                               value="{{ $data['current_price'] or ''}}"  placeholder="">
                                    </div>

                                </div>

                                <div class="form-group">

                                    <label class="control-label col-sm-3">服务时长</label>

                                    <div class="col-sm-9">
                                        <input id="data_service_time" name="data[service_time]" class="form-control"
                                               value="{{ $data['service_time'] or ''}}"  placeholder="">
                                    </div>

                                </div>

                                <div class="form-group">
                                    <label class="control-label col-sm-3">&nbsp;</label>
                                    <div class="col-sm-9">
                                        <input type="hidden" name="_referer"
                                               value="<?php echo urlencode(request()->server('HTTP_REFERER'));?>"/>
                                        <input type="hidden" name="_token" value="<?php echo csrf_token(); ?>"/>
                                        <input type="submit" class="btn btn-success" style="margin-right:20px;">
                                        <input type="reset" class="btn btn-default">
                                    </div>
                                </div>

                            </form>
                        </div>
                        <!-- /.col-lg-10 -->
                    </div>
                    <!-- /.row -->
                </div>
            </div>
        </div>
    </div>

@endsection